package net.wanji.opt.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/07 14:17
 */
@NoArgsConstructor
@Data
public class HotspotCrossTurnVO {
    private String crossId;
    private Date timeStamp;
    private List<HotspotCrossTurnVO.TurnDetail> turnList;

    @Data
    public static class TurnDetail {
        private String turn;
        private Integer dir;
        private Double queueLength;
        private Integer flow;
    }
}
